import { BaseSchemaDSL } from '@lowcode-set-up-platform/dsl';
export interface RenderViewHandleConfig {
    updateCompProps?: (id: string, value: Record<any, any>) => void;
    getRenderRef?: () => any;
}
interface RenderViewIProps {
    schema?: BaseSchemaDSL;
    components: Record<string, any>;
    renderKey: string;
}
declare const RenderView: import('react').ForwardRefExoticComponent<RenderViewIProps & import('react').RefAttributes<RenderViewHandleConfig>>;
export default RenderView;
